3.11.0
New Features:
* Export and import feature for bookmarks. (https://github.com/kiwix/kiwix-android/pull/3724)

Bug Fixed:
* Application crashing on ARM architecture. (https://github.com/kiwix/kiwix-android/issues/3661)
* Application crashes when starting the kiwix server. (https://github.com/kiwix/kiwix-android/pull/3846)
* Unable to restart download after pausing if application language is other than English. (https://github.com/kiwix/kiwix-android/pull/3847)
* Can't open EPUB from Project Gutenberg in external app. (https://github.com/kiwix/kiwix-android/pull/3738)
* Some EPUB files are not downloading. (https://github.com/kiwix/kiwix-android/pull/3738)
* Saving bookmarks in the zim-split splitted ZIM files are crashing the application, when there is a 0 size extra zim chunk. (https://github.com/kiwix/kiwix-android/pull/3862)
* Suspended the application from F-droid store. (https://github.com/kiwix/kiwix-android/issues/3672)
* New nightly APK signatures prevent easy update. (https://github.com/kiwix/kiwix-android/pull/3844)
* Improved the article search. (https://github.com/kiwix/kiwix-android/pull/3849)
* Fullscreen mode is broken. (https://github.com/kiwix/kiwix-android/pull/3853)
* Unable to exit the application when pressing the back button while reading the ZIM file. (https://github.com/kiwix/kiwix-android/issues/3854)
* Saving Notes, History, and Recent searches in room database. (https://github.com/kiwix/kiwix-android/pull/3859, https://github.com/kiwix/kiwix-android/pull/3858, https://github.com/kiwix/kiwix-android/pull/3863)
* Long clicking on Download button in epub ZIM files shows the "Open in new tab" dialog which leads to a blank page. (https://github.com/kiwix/kiwix-android/pull/3870)

Compilation/CI/CD:
* Using libkiwix `2.2.0`. (https://github.com/kiwix/kiwix-android/pull/3867)
* Upgraded the minimum SDK version to 25. (https://github.com/kiwix/kiwix-android/pull/3840)
* Detecting accessibility issues in CI. (https://github.com/kiwix/kiwix-android/pull/3842)

3.10.1
Bug Fixed:
* Error on opening a split zim file. (https://github.com/kiwix/kiwix-android/pull/3803)
* Sometimes setting the org.kiwix.libzim.Archive.setNativeArchive crashes the application. (https://github.com/kiwix/kiwix-android/pull/3807)
* Zim files are not opening with Kiwix when clicking on zim files in the storage. (https://github.com/kiwix/kiwix-android/pull/3834)
* Main page is not loading for zim files. (https://github.com/kiwix/kiwix-android/pull/3817)
* Fixed some issues reported by the playStore. (https://github.com/kiwix/kiwix-android/pull/3815, https://github.com/kiwix/kiwix-android/pull/3818, https://github.com/kiwix/kiwix-android/pull/3814, https://github.com/kiwix/kiwix-android/pull/3823, https://github.com/kiwix/kiwix-android/pull/3824)
* The Delete icon is showing wrong content description on the notes and history screen. (https://github.com/kiwix/kiwix-android/pull/3826)

Compilation/CI/CD:
* Using libkiwix `2.1.1`. (https://github.com/kiwix/kiwix-android/pull/3821)
* Sometimes CI fails due to `signatures do not match` error. (https://github.com/kiwix/kiwix-android/pull/3820)

3.10.0
New Features:
* When searching for any article if the user presses the search/enter button on the keyboard, and if any article is found with the searched query then it will open that article directly. (https://github.com/kiwix/kiwix-android/pull/3704)
* Introduced the progress bar in the library screen to show how much storage has been scanned. (https://github.com/kiwix/kiwix-android/pull/3674)

Bug Fixes:
* Enhanced ZIM file scanning. (https://github.com/kiwix/kiwix-android/pull/3674)
* Fixed pop-up(Search kiwix) function issue with Librera reader. (https://github.com/kiwix/kiwix-android/pull/3725)
* Inconsistent visibility behavior when no ZIM file is opened. (https://github.com/kiwix/kiwix-android/pull/3688)
* Application crashes below API level 29 when we select the external storage. (https://github.com/kiwix/kiwix-android/pull/3642)
* Application crashes when opening saved notes if the ZIM file does not exist. (https://github.com/kiwix/kiwix-android/issues/3682)
* Application crashes when opening ZIM files directly opening from storage using deep linking. (https://github.com/kiwix/kiwix-android/pull/3649)
* Application crashes when closing the tab. (https://github.com/kiwix/kiwix-android/pull/3791)
* A few Samsung devices are unable to download 4+ gb files. (https://github.com/kiwix/kiwix-android/pull/3695)
* Content is not displaying after opening the ZIM file from Chrome. (https://github.com/kiwix/kiwix-android/pull/3727)
* Read aloud does not stop for closed tabs. (https://github.com/kiwix/kiwix-android/pull/3745)
* After restoring the tab it hides some top area of the article. (https://github.com/kiwix/kiwix-android/pull/3743)
* Improved UI to show hints of view functionality when the user long clicks on any view. (https://github.com/kiwix/kiwix-android/pull/3689, https://github.com/kiwix/kiwix-android/pull/3707, https://github.com/kiwix/kiwix-android/pull/3706)
* Application is not restarting from Error activity. (https://github.com/kiwix/kiwix-android/pull/3735)
* Better permission requesting (https://github.com/kiwix/kiwix-android/pull/3729)
* Improvement in restoring tabs. (https://github.com/kiwix/kiwix-android/pull/3793)
* Few links are not working in README.md file. (https://github.com/kiwix/kiwix-android/pull/3637, https://github.com/kiwix/kiwix-android/pull/3655)
* Added documentation for Git Hooks in the CONTRIBUTING file. (https://github.com/kiwix/kiwix-android/pull/3798)
* Fixed some issues reported by the playStore. (https://github.com/kiwix/kiwix-android/pull/3795, https://github.com/kiwix/kiwix-android/pull/3797)
+ More

Compilation/CI/CD:
* Using libkiwix `2.1.0`. (https://github.com/kiwix/kiwix-android/pull/3802)
* Using libkiwix to store the bookmarks instead of objectbox. (https://github.com/kiwix/kiwix-android/pull/3653)
* Unconditional Logging lint issue. (https://github.com/kiwix/kiwix-android/issues/1270)
* Improved our CI to smoothly run the test cases. (https://github.com/kiwix/kiwix-android/pull/3758)
* Added/improved test cases.
* Increased java heap memory to efficiently creating app bundle for custom apps. (https://github.com/kiwix/kiwix-android/pull/3665)
* Upgraded project dependencies to fix errors reported by the play store. (https://github.com/kiwix/kiwix-android/pull/3648, https://github.com/kiwix/kiwix-android/pull/3731)
* Corrected the error message if the Lint/Static analysis fails. (https://github.com/kiwix/kiwix-android/pull/3780)
+ More

3.9.1
Bug Fixes:
* Better permission requesting (https://github.com/kiwix/kiwix-android/pull/3618)
* Better trigger Error reporting activity by crash (https://github.com/kiwix/kiwix-android/pull/3621)
* Slightly improved (to avoid redundancies) CI GitHub Action (https://github.com/kiwix/kiwix-android/pull/3616)
* Remove latencies while typing to get article suggestions (https://github.com/kiwix/kiwix-android/pull/3612)

3.9.0
New Features:
* Added a start-up message to inform users about restrictions on sideloading ZIM files in the Google Store app. (https://github.com/kiwix/kiwix-android/pull/3583)
* Introduced the "Disable title" feature for custom apps. (https://github.com/kiwix/kiwix-android/pull/3566)
* Introduced the "Disable external links" feature for custom apps. (https://github.com/kiwix/kiwix-android/pull/3595)
* Added the show/hide "About the app" option in the navigation for custom apps. (https://github.com/kiwix/kiwix-android/pull/3597)
* "Support Kiwix", "About the app" are configurable for custom apps. (https://github.com/kiwix/kiwix-android/pull/3602)

Bug Fixes:
* Application crash occurring when deleting letters in a search. (https://github.com/kiwix/kiwix-android/pull/3592)
* Enhanced the permission-asking scenario for the Kiwix app. (https://github.com/kiwix/kiwix-android/pull/3593)
* Zimit archives were not displaying correctly. (https://github.com/kiwix/kiwix-android/pull/3580)
* Addressed the issue of not being able to find ZIM files on the SD card that are copied to the app-specific directory in the Play Store variant. (https://github.com/kiwix/kiwix-android/pull/3582)
* Removed the "Help" menu from the sidebar for custom apps. (https://github.com/kiwix/kiwix-android/pull/3594)
* Updated the "Support Kiwix" icon in sidebar. (https://github.com/kiwix/kiwix-android/pull/3588)

3.8.1
Bug Fixes:
* Application crash occurring when users rapidly typed during a search for an entry. (https://github.com/kiwix/kiwix-android/pull/3558)
* Play Store deep linking issue on Android 12 and above. (https://github.com/kiwix/kiwix-android/pull/3550)

3.8.0
New Features:
* Download pause/resume feature. (https://github.com/kiwix/kiwix-android/pull/3459)
* Added support to read ZIM files from USB-OTG stick. (https://github.com/kiwix/kiwix-android/pull/3471)
* Endless suggestion list while searching articles. (https://github.com/kiwix/kiwix-android/pull/3217)
* Refactored LocalFileTransfer UI to educate users on how to use this feature. (https://github.com/kiwix/kiwix-android/pull/3497)

Bug Fixes:
* All books notes switch is always enabled. (https://github.com/kiwix/kiwix-android/pull/3449)
* Download remained pending indefinitely if we canceled it from the notification. (https://github.com/kiwix/kiwix-android/pull/3451)
* Enhanced permission asking scenario for custom apps. (https://github.com/kiwix/kiwix-android/pull/3439)
* If the storage is already configured, it was again showing while downloading. (https://github.com/kiwix/kiwix-android/pull/3464)
* The keyboard repeatedly disappears and reappears while searching articles. (https://github.com/kiwix/kiwix-android/pull/3469)
* Bookmark toggle is not ON for saved bookmarks. (https://github.com/kiwix/kiwix-android/pull/3473)
* Article opening after search page result leads to a blank page. (https://github.com/kiwix/kiwix-android/pull/3217)
* Random article function not working. (https://github.com/kiwix/kiwix-android/pull/3217)
* 500 Error happens on the server. (https://github.com/kiwix/kiwix-android/pull/3217)
* Unable to open the support link with the default browser. (https://github.com/kiwix/kiwix-android/pull/3504)
* Unable to upload APK on the play store. (https://github.com/kiwix/kiwix-android/pull/3506)
* Hosted Books don't update on Application. (https://github.com/kiwix/kiwix-android/pull/3218)
* Cannot open ZIM files from phone storage via the file picker in Android 13. (https://github.com/kiwix/kiwix-android/pull/3518)
* The redundancy of the 'All-Books-Mode' option for Bookmarks, Notes, and History in custom apps. (https://github.com/kiwix/kiwix-android/pull/3525)
* The same Note saves multiple times while we are updating existing notes. (https://github.com/kiwix/kiwix-android/issues/3519)
* Reduced mass-storage consumption with Android custom apps with embedded ZIM. (https://github.com/kiwix/kiwix-android/pull/3516)
* Hitting back in the custom apps exits it. (https://github.com/kiwix/kiwix-android/pull/3512)
* Multiple memory leaks
* Updated README file to show file picker restriction. (https://github.com/kiwix/kiwix-android/pull/3414)
+ More

Compilation/CI/CD:
* Adapted libkiwix `1.0.0`. (https://github.com/kiwix/kiwix-android/pull/3217)
* Deprecated code check in CI. (https://github.com/kiwix/kiwix-android/pull/3440)
* Added/improved test cases.

3.7.1
* FIX: Useless permission request at start for custom apps
* FIX: Few code deprecations
* FIX: Broken back button in custom apps
* FIX: Broken not saving notes in custom apps
* FIX: Application crashing while adding notes
* FIX: Partly broken fullscreen feature
* FIX: Invisible suggestion box in custom apps

3.7.0
New Features:
* Support for Android 13.
* Scrollbar indicator in the download screen
* Greyed books if insufficient space
* Visible URL in the external link dialog
* Navigation History
* "Undo" snackbar for "Close all tabs"
* Properly checked availability of email app if needed

Bug Fixes:
* Snackbar visibility issue in download screen
* Read Aloud feature not always starting
* Ugly white line between around bottom navigation bar
* Display default logo if no illustration is available for the ZIM file
* WiFi detection on Android 11+ (local hosting)
* Broken article loading (if containing special character)
* Broken table of content "jump to section" (if containing special character)
* Misalignment of FloatingActionButton and BottomNavBar
* Lagging UI update after language change
* Widget resizing problem
* Ugly white space at the bottom in the loca library
* Endless media access permission request
* Inappropriate "Allow download content via mobile network" when usiong WiFI
* Wrong TTS message if language is not available
* Cut last book in library screen.
* Multiple memory leaks

Compilation/CI/CD:
* Complated java to Kotlin migration
* Memory leak detection introduction
* Multiple Linting improvements
* Jcenter/libkiwix JNI removal (now handled separatly with Maven Central)
* Upgrade many dependencies
* Play Store publishing process update
* Multiple CI/CD workflows improvements
* Gradle 8.0.0 introduction
* New localisation help for translators
* Stabilised CI, in particular for Android 30+

3.6.0
* FIX: Upgrade to Kotlin 1.7.0.
* FIX: Introduce google play build variant.
* FIX: Upgrade project environment from java 8 to java 11.
* FIX: Upgrade detekt lib to 1.20.0.
* FIX: Upgrade klint lib to 10.3.0.
* FIX: Google play publisher upgrade to 3.7.0.
* FIX: Pdf/Epub files opening issue fixes.
* FIX: Same pictures are saved multiple times.
* FIX: Introductory screen hangup issue fixed.
* FIX: Search Widget navigation issue fixed.
* FIX: Search screen were missing while pressing back fixed.
* FIX: Unsatisfied Link error fixed.
* FIX: IllegalStateException report in core reader fragment fixed.


3.5.0
* FIX: Storing Zim/Book files inside the public Kiwix Directory on internal storage.
* FIX: Storing Zim/Book files inside the public Kiwix Directory on external storage in android 11 and above.
* FIX: Ability to save Notes in android 10 and above.
* FIX: Ability to open externally downloaded Zim Files.
* FIX: MIME type fix for "*.js" titles.
* FIX: CI/CD Pipeline fixed for android 21 & android 30.
* FIX: Partial library migration from jcenter to jitpack & maven repo.
* FIX: Add network permission dialog on download navigation.
* NEW: File Selector for selecting any zim files from storage.

3.4.6
* FIX: Added MANAGE_EXTERNAL_STORAGE permission for Android 11 and later
* FIX: Hide "Download over wifi settings" on custom apps
* FIX: Hide SD card access setting on custom apps
* FIX: Launch screen icon updated
* FIX: Broken "Get content" launcher icon
* NEW: Better hide virtual keyboard in library

3.4.5
NEW: Supports Android 11
NEW: Hotspot socket address better visible, clickable and shareable
BUGFIX: Some zim-it files doesn't read anymore
BUGFIX: "Search in Kiwix" is just redirecting to Kiwix
BUGFIX: Laggy input in search box
+ More

3.4.4
NEW: The Download of Zim in now more stable
NEW: Updated translations
BUGFIX: In Search menu item recreates multiple times
BUGFIX: Clicking the search result doesn't go anywhere
BUGFIX: Search text don't appear in the search field
BUGFIX: Back Press doesn't work in SearchFragment
BUGFIX: Memory leaks patched

3.4.3
NEW: Updated translations
BUGFIX: Video seek was not working
BUGFIX: Back button in history and bookmarks toolbar always took to library
BUGFIX: Books hosted from android client were not updating on browser dynamically
BUGFIX: Creating multiple tabs was causing `loading` in previously opened tabs
BUGFIX: Messages displayed when no books are present were inconsistent typographically

3.4.2
NEW: Service worker support for war2c zim files
NEW: Updated translations
NEW: Online Library won't be downloaded on mobile data when wifi only preference is set
BUGFIX: Text to Speech continues in background
BUGFIX: Video player became became unresponsive post backgrounding
BUGFIX: Bookmarks/History weren't displaying their title
BUGFIX: Memory leaks patched
BUGFIX: Table of contents accessible from non Reader screens

3.4.1
NEW: Overhauled navigation
NEW: Updated translations
NEW: Support resizing Kiwix
NEW: Open search in new tab
BUGFIX: Search speed increased and loading state added
BUGFIX: Memory leaks patched
BUGFIX: More consistent labelling drives internal/external
BUGFIX: Cache results of a conclusive file system detection
BUGFIX: Overlapping lables in Library
BUGFIX: Accessibility improvements
+ Lots Lots Lots More

3.4.0
Beta release of navigation
Full release notes to follow in 3.4.1

3.3.4
NEW: Updated translations
BUGFIX: Fullscreen videos were not displaying
BUGFIX: Urls containing "?" were not loading properly
BUGFIX: Notifications were erroneously allowing the user to pause a download
BUGFIX: Urls with "#" anchors now load to the correct portion of the page
BUGFIX: Save Media on long click was not working
+ Lots More

3.3.3
BUGFIX: Crash on older devices due to OKHTTP

3.3.2
NEW: Better flow for hosting books
NEW: Control text zoom for zim files
NEW: Bookmarks/History internals rewrite
NEW: Updated translations
BUGFIX: Search results were inaccurate when typing too quickly
BUGFIX: new zim scheme for addressing content
BUGFIX: Native memory leaks fixed
BUGFIX: fix crash on returning to webview from search result
BUGFIX: some zim files could not be found after downloading
+ Lots More

3.3.1
NEW: Send Diagnostic Reports
BUGFIX: Loading older zim files could fail
BUGFIX: Some svgs were not loading
+ Lots More

3.3.0
NEW: Improved loading of audio/video content
NEW: Card based views for lists
NEW: Improved translations
NEW: Delete notes
BUGFIX: Sensible zoom defaults for oversized content
BUGFIX: Large downloads should start immediately
BUGFIX: Searching with kiwix via highlighting prompt
+ Lots More

3.2.0
NEW: Downloads tab merged with Library
NEW: Improved translations
NEW: Swipe down to show tabs
NEW: Swipe left/right on top bar to switch tabs
NEW: Improved UI for Bookmarks & History
NEW: Open book from click on Download notification
BUGFIX: Improved the speed of file system detection for SD cards
BUGFIX: Improved speed of Article Search
BUGFIX: Night mode crash on Amazon devices
BUGFIX: Adding/Removing bookmarks stabilised
BUGFIX: Language changes in Settings better supported
BUGFIX: Crash on opening bookmark/history of not currently open book
BUGFIX: Tags select properly and hide if not active
BUGFIX: Read Aloud shows warning for unsupported languages
BUGFIX: Find In Page crash when searching for empty
+ Lots More

3.1.3
BUGFIX: Correct logic for selected book tags
BUGFIX: Crash when searching content via selected text in browser
BUGFIX: Night mode videos were inverted when fullscreened
BUGFIX: Search widget unresponsive

3.1.0
NEW: Revamped Night Mode
NEW: Books unsupported by file system are greyed out
NEW: Tags for books
+ Bugfixes & Lots More


3.0.5
BUGFIX: Some zim files could not be downloaded due to missing metadata
BUGFIX: Some mirrors were not allowed to download via http

3.0.4
BUGFIX: Some users language was causing a crash due to unstable ISO codes
BUGFIX: Some unstable zim files were crashing when opened
BUGFIX: Long titles were rendering off screen on home page
BUGFIX: Issues when opening a file externally

3.0.0
NEW: Androidx support
NEW: In app error reporting
NEW: Improved bookmarks
NEW: Help screen
NEW: Home page
NEW: Zim history
NEW: Introductory screen
NEW: Improved language selection
NEW: Add note to articles
NEW: Tabs
NEW: Share zim files to other Kiwix users
NEW: Host zim files on your phone
+ Bugfixes & Lots More

2.5.3
BUGFIX: Fix IndexOutOfBounds in KiwixMobileActivity onResume

2.5.2
BUGFIX: Some zim files were not displaying

2.5.1
NEW: Downloads are done over http


2.5
NEW: Downloads are now using the DownloadManager
NEW: Downloads/Device/Library completely rewritten

2.4
FIX: External SD card problems
FIX: Some UI translation
FIX: Download manager process sporadic problems
NEW: Display download time estimation
NEW: Many improvments in fulltext search
NEW: Allow manual update of storage location
NEW: Sort Bookmarks alphabetically
NEW: Option to download only via WIFI

2.2
FIX: Text To Speech issues on earlier Android versions
FIX: SD card detection in a few edge cases
FIX: Sporadic transparent menu
FIX: Download resilience and experience
FIX: Few problems with icon positions
FIX: "Night mode" for pictures
NEW: UI "night mode"
NEW: UI colors
NEW: Autohide app toolbar
NEW: Keep bookmarks over data updates

2.1
FIX: Display of storage devices
FIX: External SD cards detection
FIX: ZIM file detection speed
FIX: Core errors handling
FIX: Save image
FIX: ZIM file deletion
FIX: Transparent action menu
NEW: Pause/Resume TTS

2.0
NEW: Clean history button
NEW: Open new tab in background - settings option
NEW: Kiwix search home screen widget
NEW: Download manager
NEW: Improved ZIM management
NEW: Build against newer version of Android NDK/SDK
NEW: Bookmarks for multiple articles with the same title can be created
NEW: Splash Screen and improved Welcome Screen
FIXED: Opening problem with ZIM filenames with special characters
FIXED: Useless "w820dp" language
FIXED: Failing he, id, yi locales
FIXED: Non-localised setting language list sorting
FIXED: Multiple search history problems
FIXED: Crashes with 'Twillight' app
FIXED: Full text search with split ZIM files

1.99
FIXED: ZIM load error on ICS

1.98
FIXED: Bookmark icon correctly updates when switching tabs
NEW: Tabs reopen as you left them after app restart
NEW: Undo tab deletions with one click
NEW: Table of contents for articles accessed by swiping left
NEW: Improved Bookmark System
NEW: Back and forward buttons show as disabled if unusable
NEW: Real time permission requests for Marshmallow
NEW: Asks the user if they would consider rating the app

1.97
FIXED: Soft-keyboard opens on "find in page" click
FIXED: "Back to Top" button fades out after 1.5 seconds
NEW: App can be moved to SD card
NEW: ARM64 support
NEW: Beta full-text search (put the *.idx" directory beside the ZIM)
NEW: Restart with last open article on exact same position
NEW: Click on app title displays the search input box
NEW: Remember fullscreen setting over app restarts
NEW: Few additional languages supported for the UI
NEW: Build against newer version of Android NDK/SDK

1.96
FIXED: Freezes with long press on text
FIXED: Duplicates in suggestions list

1.95
FIXED: Crash with the Settings

1.94
NEW: Revamped tabs system
NEW: Revamped zoom system
NEW: Audio/Video suport
NEW: Updated "Ray Charles" ZIM demo file
FIXED: AutoCompleteTextView in landscape mode
FIXED: PDF & EPUB viewing
REMOVED: Gingerbread support
REMOVED: Share with friends
REMOVED: Zoom button

1.93
* FIXED: blanck pages and broken images on Android 5.0 (Lollipop)
* KNOWN BUG: text rewrapping problem with 4.4 & 5.0

1.92
* NEW: text2speech (TTS)
* NEW: compiled against API21 (Android 5.0 Lollipop)
* FIXED: invisible "go forward" button
* FIXED: a few crash scenarios
* FIXED: "save picture" filename truncation
* FIXED: "night mode" on 4.4
* KNOWN BUG: text rewrapping problem with 4.4
* KNOWN BUG: invisible images on 5.0

1.91
* NEW: bookmarking feature
* FIXED: Better support of Indian languages
* FIXED: Many crash scenarios
* NEW: scan the external SD card
* KNOWN BUG: text rewrapping problem with 4.4

1.9
* Support extended to API 9+
* First steps to have an integrated library manager (still not activated)

1.8
* FIX buggy hardware menu button handling

1.7
* FIX buggy "Show backtop button" option
* NEW Tabs system
* NEW "scanner" tool for the filepicker
* NEW UI language chooser
* NEW UI support for Android non native languages
* NEW "save image" feature

1.6
* New "share with friends" button
* New "fullscreen" feature
* New 'back to top" button
* Better search suggestions
* Small UI fixes

1.0
* NEW: Initial version
